> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Setup Trace Finance integration.

> Create Trace Finance integration to configure the connection with the Trace Finance account.



## OpenAPI

````yaml https://sandbox-api.borderless.xyz/v1/api-json put /v1/organizations/integrations/trace-finance
openapi: 3.0.0
info:
  title: Borderless API
  description: The Borderless API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox-api.borderless.xyz
security: []
tags: []
paths:
  /v1/organizations/integrations/trace-finance:
    put:
      tags:
        - Integrations Config
      summary: Setup Trace Finance integration.
      description: >-
        Create Trace Finance integration to configure the connection with the
        Trace Finance account.
      operationId: IntegrationsConfigController_setupTraceFinanceIntegrationConfig
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TraceFinanceSetupDto'
      responses:
        '202':
          description: Organization Trace Finance integration data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationConfigEntity'
      deprecated: true
      security:
        - bearer: []
components:
  schemas:
    TraceFinanceSetupDto:
      type: object
      properties:
        clientId:
          type: string
          minLength: 10
          maxLength: 64
          description: The clientId for authentication.
          example: >-
            m2m-client-test-2b27da12-497a-a42f-9821-abcd-0a1234567 for Finity or
            Fk5DU28t9m0DAr0YFstsHDX8Aoxlwm2M for Trace Finance
        clientSecret:
          type: string
          minLength: 10
          maxLength: 64
          description: The clientSecret for authentication.
          example: >-
            ad0b2a2190dde067f3fd5a523f1c2aen for Finity or
            _Cgnl6T0FfZWc6zrO5c6TkG09y0n45aMAIcl1nmNITBOEqGHo4CDka-tBBnQwjaK for
            Trace Finance
      required:
        - clientId
        - clientSecret
    IntegrationConfigEntity:
      type: object
      properties:
        provider:
          type: string
        integrationNetworkAddresses:
          type: array
          items:
            $ref: '#/components/schemas/IntegrationNetworkAddressEntity'
      required:
        - provider
    IntegrationNetworkAddressEntity:
      type: object
      properties:
        network:
          allOf:
            - $ref: '#/components/schemas/NetworkId'
        address:
          type: string
      required:
        - network
        - address
    NetworkId:
      type: string
      enum:
        - POLYGON
        - ETHEREUM
        - TRON
        - BASE
        - OPTIMISM
        - BITCOIN
        - SOLANA
        - CELO
      description: The network this refund address belongs to.
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````